ata_sas_port_alloc
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_sas_port_alloc — Allocate port for a SAS attached SATA device

## Synopsis

`struct ata_port * ata_sas_port_alloc (` | struct ata_host * | host,
| struct ata_port_info * | port_info,
| struct Scsi_Host * | shost`)`;

## Arguments

`host`

  ATA host container for all SAS ports

`port_info`

  Information from low-level host driver

`shost`

  SCSI host that the scsi device is attached to

## LOCKING

PCI/etc. bus probe sem.

## RETURNS

ata_port pointer on success / NULL on failure.

Prev | Up | Next
ata_scsi_simulate | Home | ata_sas_port_start